function Quad_h(h)
{
	this.handle = h;

	this.SetPosition = function(x, y)
	{
		return fsQuad_SetPosition(this.handle, x, y);
	}

	this.SetImage = function(texture)
	{
		return fsQuad_SetImage(this.handle, texture);
	}

	this.SetSize = function(w, h)
	{
		return fsQuad_SetSize(this.handle, w, h);
	}

	this.SetColor = function(r, g, b, a)
	{
		return fsQuad_SetColor(this.handle, r, g, b, a);
	}

	this.Delete = function()
	{
		return fsQuad_Delete(this.handle);
	}

}
function Quad(layer, x, y, w, h)
{
	return new Quad_h(fsQuad_Create(layer.handle, x, y, w, h));
}
